Last Comment Bug 470351 - crlutil build fails on Windows because it calls undeclared isatty
: crlutil build fails on Windows because it calls undeclared isatty
Status: RESOLVED FIXED
:
Product: NSS
Classification: Components
Component: Tools (show other bugs)
: 3.12
: x86 Windows XP
: -- critical (vote)
: 3.12.3
Assigned To: Alexei Volkov
:
Mentors:
Depends on:
Blocks: 469944
  Show dependency treegraph
 
Reported: 2008-12-18 17:48 PST by Nelson Bolyard (seldom reads bugmail)
Modified: 2009-02-04 15:23 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1 - use #ifdef instead of #ifndef (1.09 KB, patch)
2009-01-29 13:38 PST, Alexei Volkov
nelson: review+
Details | Diff | Splinter Review

Description Nelson Bolyard (seldom reads bugmail) 2008-12-18 17:48:26 PST
With the patch for bug 469944 in place, the build of crlutil fails because 
a file generated by lex calls isatty which is not declared.  The solution
is to include <io.h>.  The file in question is the product of lex and some
odd version of sed.  Alexei, please code a patch that fixes it.
Comment 1 Alexei Volkov 2009-01-29 13:38:04 PST
Created attachment 359603 [details] [diff] [review]
Patch v1 - use #ifdef instead of #ifndef
Comment 2 Nelson Bolyard (seldom reads bugmail) 2009-01-29 15:10:01 PST
Comment on attachment 359603 [details] [diff] [review]
Patch v1 - use #ifdef instead of #ifndef

r=nelson,  thanks.
Comment 3 Alexei Volkov 2009-02-04 15:23:47 PST
committed

Note You need to log in before you can comment on or make changes to this bug.